Forums - C# Corner

Forum guidelines
Awadhesh Singh

Awadhesh Singh

  • 901
  • 1.1k
  • 299.3k

How to Fix ‘App Not Installed’ Error on Android Mobile

Mar 13 2019 9:21 PM
Hi,
 
I'M facing a problem "App Not Installed" in Android Phone.
 
Some Time App install easly and if install twice then showing Error "App Not Installed"
Maximum time showing Above error .
 
my App manifest :
 
<uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
<uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
<uses-permission android:name="android.permission.INTERNET" />
<uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
<uses-permission android:name="android.permission.BLUETOOTH_ADMIN" />
<uses-permission android:name="android.permission.BLUETOOTH" />
<uses-permission android:name="android.permission.CHANGE_NETWORK_STATE" />
<uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />
<uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
<uses-permission android:name="android.permission.WAKE_LOCK" />
<uses-permission android:name="android.permission.READ_PHONE_STATE" />
<uses-feature android:name="android.hardware.camera" />
<uses-permission android:name="android.permission.CAMERA" />
<uses-permission
android:name="android.permission.READ_EXTERNAL_STORAGE"
android:maxSdkVersion="18" />
 
Project Gradle :
 
buildscript {
repositories {
jcenter()
google()
}
dependencies {
classpath 'com.android.tools.build:gradle:3.0.0-beta6'
classpath 'com.google.gms:google-services:3.1.0'
}
}
allprojects {
repositories {
jcenter()
google()
}
}
 
APP Gradle :
 
android {
compileSdkVersion 22
buildToolsVersion '26.0.2'
defaultConfig {
applicationId "com.example.awadhesh.edl"
minSdkVersion 14
targetSdkVersion 22
versionCode 6
versionName '1.6'
}
buildTypes {
release {
minifyEnabled false
proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
}
}
productFlavors {
}
}
dependencies {
implementation 'com.google.firebase:firebase-core:11.0.4'
implementation 'com.google.firebase:firebase-messaging:11.0.4'
implementation 'com.google.android.gms:play-services-maps:11.0.4'
compile fileTree(include: ['*.jar'], dir: 'libs')
compile 'com.android.support:appcompat-v7:22.2.1'
compile files('src/main/res/PRT_SDK.jar')
compile files('src/main/res/ksoap2-android-assembly-3.1.1-jar-with-dependencies.jar')
compile 'com.android.support.constraint:constraint-layout:1.0.2'
implementation files('libs/org.apache.commons.io.jar')
apply plugin: 'com.google.gms.google-services'
 
Please Help ....